import { CSSResultArray, TemplateResult } from 'lit-element';
import '@spectrum-web-components/icon';
import { ActionButton } from '@spectrum-web-components/button';
export interface MenuItemQueryRoleEventDetail {
    role: string;
}
/**
 * Spectrum Menu Item Component
 * @element sp-menu-item
 */
export declare class MenuItem extends ActionButton {
    static get styles(): CSSResultArray;
    tabIndex: number;
    private _value;
    get value(): string;
    set value(value: string);
    /**
     * Hide this getter from web-component-analyzer until
     * https://github.com/runem/web-component-analyzer/issues/131
     * has been addressed.
     *
     * @private
     */
    get itemText(): string;
    protected get buttonContent(): TemplateResult[];
    connectedCallback(): void;
}
declare global {
    interface GlobalEventHandlersEventMap {
        'sp-menu-item-query-role': CustomEvent<MenuItemQueryRoleEventDetail>;
    }
}
